package com.huimv.env.common.service.impl;

import com.huimv.env.common.dao.entity.LampTempEntity;
import com.huimv.env.common.dao.repo.LampTempEntityRepo;
import com.huimv.env.common.service.ILampTempService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import javax.xml.ws.ServiceMode;
import java.sql.Timestamp;
import java.util.Date;

/**
 * @Project : huimv-env-platform
 * @Package : ${}
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2022/10/15
 **/
@Service
public class LampTempServiceImpl implements ILampTempService {
    @Resource
    private LampTempEntityRepo lampTempEntityRepo;

    @Override
    public int saveLampTemp(String deviceId, String temp, Date addTime) {
        LampTempEntity lampTempEntity = new LampTempEntity();
        lampTempEntity.setDeviceId(deviceId);
        lampTempEntity.setTemp(temp);
        lampTempEntity.setAddTime(new Timestamp(addTime.getTime()));
        lampTempEntityRepo.saveAndFlush(lampTempEntity);
        return 0;
    }
}
