package com.huimv.env.common.service.impl;

import com.huimv.env.common.dao.entity.LampConfigEntity;
import com.huimv.env.common.dao.repo.LampConfigEntityRepo;
import com.huimv.env.common.service.ILampConfigService;
import org.springframework.data.domain.Example;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Project : huimv-env-platform
 * @Package : ${}
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2022/10/15
 **/
@Service
public class LampConfigServiceImpl implements ILampConfigService {
    @Resource
    private LampConfigEntityRepo lampConfigEntityRepo;

    @Override
    public String getLampConfigByDeviceId(String deviceId){
        LampConfigEntity lampConfigEntity = new LampConfigEntity();
        lampConfigEntity.setDeviceId(deviceId);
        Example<LampConfigEntity> example = Example.of(lampConfigEntity);
        List<LampConfigEntity> lampConfigEntityList = lampConfigEntityRepo.findAll(example);
        if(lampConfigEntityList.size() == 0){
            return null;
        }else{
            LampConfigEntity lampConfig = lampConfigEntityList.get(0);
            return lampConfig.getTempSet();
        }
    }
}
